Class | Fog::Compute::AWS::InternetGateways
In: | lib/fog/aws/models/compute/internet_gateways.rb
Parent: | Fog::Collection

### Methods

all get new

### Public Class methods

new(attributes)

     Creates a new internet gateway

     AWS.internet_gateways.new

     ==== Returns

     Returns the details of the new InternetGateway

>> AWS.internet_gateways.new

# > <Fog::Compute::AWS::InternetGateway

id=nil, attachment_set=nil, tag_set=nil >

### Public Instance methods

all(filters = filters)

     Returns an array of all InternetGateways that have been created

     AWS.internet_gateways.all

     ==== Returns

     Returns an array of all InternetGateways

>> AWS.internet_gateways.all <Fog::Compute::AWS::InternetGateways filters={} [ <Fog::Compute::AWS::InternetGateway id="igw-some-id", attachment_set={"vpcId"=>"vpc-some-id", "state"=>"available"}, tag_set={} > ] >

get(internet_gateway_id)

     Used to retrieve an InternetGateway

     You can run the following command to get the details:
     AWS.internet_gateways.get("igw-12345678")

     ==== Returns

>> AWS.internet_gateways.get("igw-12345678")

# > <Fog::Compute::AWS::InternetGateway

id="igw-12345678", attachment_set={"vpcId"=>"vpc-12345678", "state"=>"available"}, tag_set={} >

[Validate]